## libtorrent-rasterbar 0.15.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(libtorrent)

set(sources
	alert
	allocator
	assert
	connection_queue
	create_torrent
	disk_buffer_holder
	entry
	error_code
	file_storage
	lazy_bdecode
	escape_string
	file
	gzip
	http_connection
	http_stream
	http_parser
	identify_client
	ip_filter
	peer_connection
	bt_peer_connection
	web_peer_connection
	http_seed_connection
	instantiate_connection
	natpmp
	piece_picker
	policy
	session
	session_impl
	socks5_stream
	stat
	storage
	torrent
	torrent_handle
	torrent_info
	tracker_manager
	http_tracker_connection
	udp_tracker_connection
	udp_socket
	upnp
	logger
	file_pool
	lsd
	disk_io_thread
	enum_net
	broadcast_socket
	magnet_uri
	parse_url
	ConvertUTF

# -- extensions --
	metadata_transfer
	ut_pex
	ut_metadata
	smart_ban
	lt_trackers
)

# -- kademlia --
set(kademlia_sources
	closest_nodes
	dht_tracker
	node
	refresh
	rpc_manager
	find_data
	node_id
	routing_table
	traversal_algorithm
)

set(zlib_sources
	adler32
	compress
	crc32
	deflate
	gzio
	infback
	inffast
	inflate
	inftrees
	trees
	uncompr
	zutil
)

set(includes include zlib)

option(shared "build libtorrent as a shared library" ON)
option(tcmalloc "link against google performance tools tcmalloc" OFF)
option(pool-allocators "Uses a pool allocator for disk and piece buffers" ON)
option(encryption "link against openssl and enable encryption" ON)
option(geoip "link against LGPL GeoIP code from Maxmind, to enable geoip database support" OFF)
option(dht "enable support for Mainline DHT" ON)
option(resolve-countries "enable support for resolving countries from peer IPs" ON)
option(unicode "enable unicode support" ON)
option(deprecated-functions "enable deprecated functions for backwards compatibility" ON)
option(exceptions "build with exception support" ON)
option(logging "build with logging" OFF)
option(verbose-logging "build with verbose logging" OFF)
option(build_tests "build tests" OFF)
option(build_examples "build examples" OFF)

set(CMAKE_CONFIGURATION_TYPES Debug Release RelWithDebInfo)

if (NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE Release FORCE)
endif (NOT CMAKE_BUILD_TYPE)

# add_definitions() doesn't seem to let you say wich build type to apply it to
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DTORRENT_DEBUG")

set(CMAKE_C_FLAGS_RELWITHDEBINFO "-Os -g")
set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO}")

if (encryption)
	list(APPEND sources pe_crypto)
endif (encryption)

if (logging)
	add_definitions(-DTORRENT_LOGGING)
endif (logging)
if (verbose-logging)
	add_definitions(-DTORRENT_VERBOSE_LOGGING)
endif (verbose-logging)

foreach(s ${sources})
	list(APPEND sources2 src/${s})
endforeach(s)
foreach(s ${zlib_sources})
	list(APPEND zlib_sources2 zlib/${s})
endforeach(s)

if (dht)
	foreach(s ${kademlia_sources})
		list(APPEND sources2 src/kademlia/${s})
	endforeach(s)
else (dht)
	add_definitions(-DTORRENT_DISABLE_DHT)
endif (dht)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")

if (shared)
	add_library(torrent-rasterbar SHARED ${sources2} ${zlib_sources2})
else (shared)
	add_library(torrent-rasterbar STATIC ${sources2} ${zlib_sources2})
endif (shared)

FIND_PACKAGE( Boost 1.34 COMPONENTS filesystem thread)
if (NOT Boost_VERSION LESS 103500)
	FIND_PACKAGE( Boost 1.35 COMPONENTS filesystem thread system)
endif (NOT Boost_VERSION LESS 103500)
include_directories(${Boost_INCLUDE_DIR})
target_link_libraries(torrent-rasterbar ${Boost_LIBRARIES})

# this works around a bug in asio in boost-1.39
add_definitions(-DBOOST_ASIO_HASH_MAP_BUCKETS=1021)

if (WIN32)
	target_link_libraries(torrent-rasterbar wsock32 ws2_32)
endif (WIN32)

if (encryption)
	add_definitions(-DTORRENT_USE_OPENSSL)
	if (WIN32)
		target_link_libraries(torrent-rasterbar ssleay32 libeay32 advapi32 user32 shell32 gdi32)
	else (WIN32)
		target_link_libraries(torrent-rasterbar crypto ssl)
	endif (WIN32)
else (encryption)
	add_definitions(-DTORRENT_DISABLE_ENCRYPTION)
	list(APPEND sources sha1)
endif (encryption)

if (NOT pool-allocators)
	add_definitions(-DTORRENT_DISABLE_POOL_ALLOCATOR)
endif (NOT pool-allocators)

if (NOT geoip)
	add_definitions(-DTORRENT_DISABLE_GEO_IP)
endif (NOT geoip)

if (NOT resolve-countries)
	add_definitions(-DTORRENT_DISABLE_RESOLVE_COUNTRIES)
endif (NOT resolve-countries)

if (unicode)
	add_definitions(-DUNICODE -D_UNICODE)
endif (unicode)

if (NOT deprecated-functions)
	add_definitions(-DTORRENT_NO_DEPRECATE)
endif (NOT deprecated-functions)

if (exceptions)
	add_definitions(-fexceptions)
else (exceptions)
	add_definitions(-fno-exceptions)
endif (exceptions)

if (MSVC)
# disable bogus deprecation warnings on msvc8
	add_definitions(-D_SCL_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE)
# these compiler settings just makes the compiler standard conforming
	add_definitions(/Zc:wchar_t /Zc:forScope)

#	<toolset>msvc,<variant>release:<linkflags>/OPT:ICF=5
#	<toolset>msvc,<variant>release:<linkflags>/OPT:REF
endif(MSVC)

add_definitions(-D_FILE_OFFSET_BITS=64)
add_definitions(-DBOOST_DISABLE_EXCEPTION)

if (tcmalloc)
	target_link_libraries(torrent-rasterbar tcmalloc)
endif (tcmalloc)

target_link_libraries(torrent-rasterbar z)
include_directories(${includes})

set_target_properties(torrent-rasterbar PROPERTIES
	SOVERSION 1
	VERSION 1)

set (VERSION "0.15.4")

get_property (COMPILETIME_OPTIONS_LIST
	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}
	PROPERTY COMPILE_DEFINITIONS
	)
foreach (s ${COMPILETIME_OPTIONS_LIST})
	set (COMPILETIME_OPTIONS "${COMPILETIME_OPTIONS} -D${s}")
endforeach (s)

configure_file(libtorrent-rasterbar-cmake.pc.in libtorrent-rasterbar.pc)

string (COMPARE EQUAL ${CMAKE_SIZEOF_VOID_P} "8" IS64BITS)

if (IS64BITS AND RESPECTLIB64)
	set (LIBDIR "lib64")
else (IS64BITS AND RESPECTLIB64)
	set (LIBDIR "lib")
endif (IS64BITS AND RESPECTLIB64)

install(TARGETS torrent-rasterbar DESTINATION ${LIBDIR} CONFIGURATIONS release)
install(DIRECTORY include/libtorrent
	DESTINATION include
	PATTERN ".svn" EXCLUDE)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libtorrent-rasterbar.pc DESTINATION ${LIBDIR}/pkgconfig)

# === build examples ===
if(build_examples)
	set(examples client_test dump_torrent simple_client enum_if make_torrent)

	foreach(s ${examples})
		add_executable(${s} examples/${s}.cpp)
		target_link_libraries(${s} torrent-rasterbar)
	endforeach(s)

	FIND_PACKAGE( Boost 1.34 COMPONENTS program_options regex)
	target_link_libraries(client_test ${Boost_LIBRARIES})
	include_directories(${Boost_INCLUDE_DIR})
endif(build_examples)
# === build tests ===
if(build_tests)
	set(tests
		test_auto_unchoke
		test_http_connection
		test_buffer
		test_storage
		test_torrent
		test_transfer
		test_piece_picker
		test_fast_extension
		test_pe_crypto
		test_bencoding
		test_bdecode_performance
		test_primitives
		test_ip_filter
		test_hasher
		test_metadata_extension
		test_swarm
		test_lsd
		test_pex
		test_web_seed
		test_bandwidth_limiter
		)

	add_library(test_common STATIC test/main.cpp test/setup_transfer.cpp)
	enable_testing()

	foreach(s ${tests})
		add_executable(${s} test/${s}.cpp)
		target_link_libraries(${s} torrent-rasterbar test_common)
		add_test(${s} ${s})
	endforeach(s)

	add_executable(test_upnp test/test_upnp.cpp)
	target_link_libraries(test_upnp torrent-rasterbar)

	add_executable(test_natpmp test/test_natpmp.cpp)
	target_link_libraries(test_natpmp torrent-rasterbar)
endif(build_tests)

## libtorrent-rasterbar 0.14.10

=== debian/changelog ===
libtorrent-rasterbar (0.14.10-2+deb6u1) squeeze-lts; urgency=low

  * Non-maintainer upload by the Squeeze LTS Team. 
  * CVE-2015-5685: The lazy_bdecode function in BitTorrent DHT bootstrap 
    server (bootstrap-dht ) allows remote attackers to execute arbitrary 
    code via a crafted packet, related to "improper indexing."
 
 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 20 Sep 2015 16:03:02 +0200

libtorrent-rasterbar (0.14.10-2) unstable; urgency=low

  * debian/{control,rules}: build python-libtorrent for all supported
    python versions. (Closes: #578078)
  * debian/README.source: remove now unneeded file.

 -- Cristian Greco <cristian@regolo.cc>  Sat, 17 Apr 2010 00:19:00 +0200

libtorrent-rasterbar (0.14.10-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 24 Mar 2010 18:23:04 +0100

libtorrent-rasterbar (0.14.9-1) unstable; urgency=low

  * New upstream version.
  * debian/libtorrent-rasterbar-doc.doc-base: fix spelling error.
  * debian/patches/100_fix_html_docs.patch: refreshed.
  * debian/control: bump up standards-version to 3.8.4 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Sat, 20 Feb 2010 02:00:20 +0100

libtorrent-rasterbar (0.14.8-1) unstable; urgency=low

  * New upstream version.
    - r4072_fix_broadcast_socket_regression.patch: dropped, included upstream.
  * debian/control: add dependency on libgeoip-dev for -dev package.
  * debian/watch: point download url to googlecode.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 14 Jan 2010 23:25:42 +0100

libtorrent-rasterbar (0.14.7-2) unstable; urgency=low

  * r4072_fix_broadcast_socket_regression.patch: new patch, pulled from
    upstream svn (r4072).

 -- Cristian Greco <cristian@regolo.cc>  Thu, 17 Dec 2009 13:21:49 +0100

libtorrent-rasterbar (0.14.7-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - new maintainer email address.
    - add DMUA field, thanks to my sponsor Michal Čihař.
    - add build-dep on libboost-program-options-dev.
  * Convert to 3.0 (quilt) source format.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 25 Nov 2009 16:29:30 +0100

libtorrent-rasterbar (0.14.6-1) unstable; urgency=low

  * New upstream version.
  * debian/{control,rules}:
    - build-dep on libgeoip-dev and pkg-config, thus enable building against
      geoip system library. (Closes: #544462)
    - drop build-dep on autotools-dev and don't overwrite config.{guess,sub}
      as upstream now ships up-to-date files.
  * debian/rules: drop the hack for boost1.39 as latest revision now
    ship again the -mt simlinks.
  * 010_r3796_r3797_fix_configure.patch: deleted (merged upstream).
  * debian/README.source: fix reference to quilt doc.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 22 Sep 2009 12:58:26 +0200

libtorrent-rasterbar (0.14.5-1) unstable; urgency=low

  * New upstream version.
    - new package libtorrent-rasterbar5 (bump up library soname).
    - debian/patches:
      + prefix patches with a number.
      + 100_fix_html_docs.patch: improve description.
      + new patch 010_r3796_r3797_fix_configure.patch (temporary fix).
  * debian/control:
    - move git package maintenance to collab-maint.
    - bump up Standards-Version to 3.8.3 (no changes required).
    - (build-)depends on zlib1g-dev instead of libz-dev (which is
      a virtual package).
    - build-depends on quilt (>= 0.46-7) and simplify debian/rules.
  * debian/rules: allow building against boost 1.39 (which contains
    libraries with no more -mt suffix) and try to retain compatibility
    with older versions for ubuntu backports.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 25 Aug 2009 17:29:29 +0200

libtorrent-rasterbar (0.14.4-1) unstable; urgency=low

  * New upstream version.
    - new package libtorrent-rasterbar4 (bump up library soname).
  * debian/control:
    - fix Vcs-Browser address;
    - build depends on new unversioned boost -dev packages (this will cause
      building against boost1.38). (Closes: #531114)
  * debian/patches/fix_html_docs.patch: refresh patch as file
    docs/libtorrent_plugins.rst was added upstream.
  * debian/rules:
    - now there is no need to remove the missing doc file generated by
      fix_html_docs.patch as it has been fixed upstream;
    - backup config.{sub,guess} before overwriting them during build, and
      restore during clean.

 -- Cristian Greco <cristian.debian@gmail.com>  Wed, 03 Jun 2009 13:05:21 +0200

libtorrent-rasterbar (0.14.3-1) unstable; urgency=low

  * New Upstream Version
    - new package libtorrent-rasterbar3 (bump up library soname).
  * debian/control:
    - add Vcs-* stuff (switch to git-buildpackage) and bump up
      Standards-Version to 3.8.1 (no changes required);
    - build-depends on debhelper (>= 7.0.50) and use override_dh_command;
    - move -dbg package to the new 'debug' section;
    - build-depends on autotools-dev and overwrite config.{sub,guess} with a
      recent version in debian/rules.
    - build-depends on quilt and python-docutils:
      + debian/patches/fix_html_docs.patch: fix html documentation for offline
        browsing and add another missing doc file;
      + rebuild docs at build time in debian/rules;
  * debian/example.makefile: install a simple makefile for example programs
    included in -doc package.
  * debian/rules, debian/python-libtorrent.install: don't rely on hardcoded
    python version, use --install-layout=deb when building python bindings,
    and install to '*-packages' instead of 'site-packages' (this should
    prepare for python2.6 and minimize Ubuntu diff).

 -- Cristian Greco <cristian.debian@gmail.com>  Wed, 13 May 2009 12:08:59 +0200

libtorrent-rasterbar (0.14.2-2) unstable; urgency=low

  * debian/control, debian/rules: revert building only against boost1.37 since
    the dependencies on the -dev packages are causing some problems with
    reverse depends clients and backporting to stable is not really needed


=== debian/control ===
Source: libtorrent-rasterbar
Section: libs
Priority: optional
Maintainer: Cristian Greco <cristian@regolo.cc>
Build-Depends: debhelper (>= 7.0.50),
               libboost-dev,
               libboost-system-dev,
               libboost-filesystem-dev,
               libboost-thread-dev,
               libboost-regex-dev,
               libboost-program-options-dev,
               libboost-python-dev,
               libssl-dev,
               zlib1g-dev,
               libgeoip-dev,
               pkg-config,
               python-all-dev (>= 2.3.5-11),
               python-docutils
XS-Python-Version: all
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/libtorrent-rasterbar.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libtorrent-rasterbar.git
Homepage: http://www.rasterbar.com/products/libtorrent/index.html
DM-Upload-Allowed: yes

Package: libtorrent-rasterbar5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libtorrent-rasterbar-dbg
Description: C++ bittorrent library by Rasterbar Software
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains libtorrent-rasterbar run time shared library.

Package: libtorrent-rasterbar-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libtorrent-rasterbar5 (= ${binary:Version}),
         libboost-dev,
         libboost-system-dev,
         libboost-filesystem-dev,
         libboost-thread-dev,
         libboost-date-time-dev,
         libssl-dev,
         zlib1g-dev,
         libgeoip-dev,
         pkg-config
Suggests: libtorrent-rasterbar-doc
Description: Development files for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains header files and static version of the library.

Package: libtorrent-rasterbar-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libtorrent-rasterbar5 (= ${binary:Version})
Description: Debug symbols for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains debugging symbols.

Package: libtorrent-rasterbar-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains documentation and example files.

Package: python-libtorrent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar5 (= ${binary:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains Python bindings for the libtorrent-rasterbar library.

=== debian/rules ===
#!/usr/bin/make -f

PYVERSIONS=$(shell pyversions -v -r)

CONFIGURE_ARGS = \
  --enable-static \
  --enable-shared \
  --disable-debug \
  --with-logging=none \
  --with-dht=on \
  --with-encryption=on \
  --with-ssl \
  --with-zlib=system \
  --with-libgeoip=system \
  --disable-examples \
  --disable-tests

%:
	dh $@

override_dh_auto_configure-nopy:
	dh_auto_configure --builddirectory build -- PTHREAD_LIBS="-lpthread" LDFLAGS="-Wl,--as-needed -lrt" \
		$(CONFIGURE_ARGS)

override_dh_auto_configure-%:
	dh_auto_configure --builddirectory build-py$* -- PTHREAD_LIBS="-lpthread" LDFLAGS="-Wl,--as-needed -lrt" \
		PYTHON=python$* PYTHON_INSTALL_PARAMS="--root=$(CURDIR)/debian/tmp --install-layout=deb" \
		--enable-python-binding --with-boost-python=boost_python-mt-py$(subst .,,$*) \
		$(CONFIGURE_ARGS)
	mv build-py$*/bindings/python build/bindings/python$*
	cp -r bindings/python/src build/bindings/python$*

override_dh_auto_configure: override_dh_auto_configure-nopy $(PYVERSIONS:%=override_dh_auto_configure-%)


override_dh_auto_build-nopy:
	dh_auto_build --builddirectory build
	$(MAKE) -C docs/ -f makefile

override_dh_auto_build-%:
	dh_auto_build --builddirectory build/bindings/python$*

override_dh_auto_build: override_dh_auto_build-nopy $(PYVERSIONS:%=override_dh_auto_build-%)


override_dh_auto_install-nopy:
	dh_auto_install --builddirectory build

override_dh_auto_install-%:
	dh_auto_install --builddirectory build/bindings/python$*

override_dh_auto_install: override_dh_auto_install-nopy $(PYVERSIONS:%=override_dh_auto_install-%)


override_dh_auto_clean:
	rm -rf build build-py*
	dh_auto_clean

override_dh_compress:
	dh_compress -Xcpp

override_dh_strip:
	dh_strip -a --dbg-package=libtorrent-rasterbar-dbg

override_dh_makeshlibs:
	dh_makeshlibs -a -V

## libtorrent-rasterbar 0.15.4

=== debian/changelog ===
libtorrent-rasterbar (0.15.4-0ubuntu1) maverick; urgency=low

  * New upstream bug fix release.
   - Fixed tracker announce issue which could cause high
     CPU and memory usage. (LP: #639659)
   - Fix issue which can cuase an infinite loop and result
     in Deluge lockingup. (LP: #654906)
   - Many thanks to Christophe Dumez, upstream author
     Arvid Norberg, and Daniel Hollocher for making
     sure these fixes landed in Maverick.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 05 Oct 2010 12:01:20 -0400

libtorrent-rasterbar (0.15.3-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 08 Sep 2010 19:09:13 -0400

libtorrent-rasterbar (0.15.1-0ubuntu1) maverick; urgency=low

  * New upstream point release.

  * New package libtorrent-rasterbar6 (bump up library soname). (LP: #615950)
   - Must Conflict/Replace libtorrent-rasterbar5 (= 0.15.0-0ubuntu1) or it will
     fail to install trying to overwrite '/usr/lib/libtorrent-rasterbar.so.6.0.0'

  * Sync on git.debian.org/collab-maint/libtorrent-rasterbar.git:
   - debian/{control,rules}: Bump debhelper build-dep to (>= 7.4.10)
     and pass to dh in order to enable parallel build support.
   - debian/watch: Use googlecode.debian.net redirector.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 10 Aug 2010 12:57:25 -0400

libtorrent-rasterbar (0.15.0-0ubuntu1) maverick; urgency=low

  * New upstream version.
  * debian/patches/100_fix_html_docs.patch: refreshed.
  * debian/control: bump up standards-version to 3.9.1 (no changes).

 -- Christophe Sauthier <christophe.sauthier@objectif-libre.com>  Tue, 10 Aug 2010 12:59:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Cristian Greco <cristian@regolo.cc>
-Build-Depends: debhelper (>= 7.0.50),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@regolo.cc>
+Build-Depends: debhelper (>= 7.4.10),
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
@@ -17,16 +18,18 @@
                python-all-dev (>= 2.3.5-11),
                python-docutils
 XS-Python-Version: all
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/libtorrent-rasterbar.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libtorrent-rasterbar.git
 Homepage: http://www.rasterbar.com/products/libtorrent/index.html
 DM-Upload-Allowed: yes
 
-Package: libtorrent-rasterbar5
+Package: libtorrent-rasterbar6
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libtorrent-rasterbar-dbg
+Conflicts: libtorrent-rasterbar5 (= 0.15.0-0ubuntu1)
+Replaces: libtorrent-rasterbar5 (= 0.15.0-0ubuntu1)
 Description: C++ bittorrent library by Rasterbar Software
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -43,7 +46,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libtorrent-rasterbar5 (= ${binary:Version}),
+         libtorrent-rasterbar6 (= ${binary:Version}),
          libboost-dev,
          libboost-system-dev,
          libboost-filesystem-dev,
@@ -70,7 +73,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libtorrent-rasterbar5 (= ${binary:Version})
+Depends: ${misc:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
 Description: Debug symbols for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -102,7 +105,7 @@
 Package: python-libtorrent
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar5 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Python bindings for libtorrent-rasterbar

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
   --disable-tests
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure-nopy:
 	dh_auto_configure --builddirectory build -- PTHREAD_LIBS="-lpthread" LDFLAGS="-Wl,--as-needed -lrt" \

=== debian/watch ===
version=3
http://googlecode.debian.net/p/libtorrent/libtorrent-rasterbar-([\d\.]*)\.tar\.gz

## libtorrent-rasterbar 0.15.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -226,7 +226,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.15.4")
+set (VERSION "0.15.5")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}

=== debian/changelog ===
libtorrent-rasterbar (0.15.5-1) experimental; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 07 Jan 2011 17:36:29 +0100

libtorrent-rasterbar (0.15.4-1) experimental; urgency=low

  * New upstream version.
    - upload to experimental: the library is pretty stable, but will be
      uploaded to unstable only after the release of Squeeze and the
      update of boost-defaults to boost1.44 (or higher).
  * debian/control:
    - new package libtorrent-rasterbar6 (bump up library soname).
    - rework boost build-deps, drop unneeded.
    - bump up Standards-Version to 3.9.1.
  * debian/rules:
    - rework (update) configuration options.
    - bump debhelper build-dep to (>= 7.4.10) and enable parallel
      build support.
  * debian/copyright:
    - updated to reflect upstream changes.
    - fix copyright-refers-to-deprecated-bsd-license-file.
  * debian/patches/100_fix_html_docs.patch: refreshed.
  * debian/watch: use a simplified regexp.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 10 Dec 2010 00:18:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,12 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cristian Greco <cristian@regolo.cc>
+Maintainer: Cristian Greco <cristian@regolo.cc>
 Build-Depends: debhelper (>= 7.4.10),
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
                libboost-thread-dev,
-               libboost-regex-dev,
-               libboost-program-options-dev,
                libboost-python-dev,
                libssl-dev,
                zlib1g-dev,
@@ -28,8 +25,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libtorrent-rasterbar-dbg
-Conflicts: libtorrent-rasterbar5 (= 0.15.0-0ubuntu1)
-Replaces: libtorrent-rasterbar5 (= 0.15.0-0ubuntu1)
 Description: C++ bittorrent library by Rasterbar Software
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -51,7 +46,6 @@
          libboost-system-dev,
          libboost-filesystem-dev,
          libboost-thread-dev,
-         libboost-date-time-dev,
          libssl-dev,
          zlib1g-dev,
          libgeoip-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,29 +3,19 @@
 PYVERSIONS=$(shell pyversions -v -r)
 
 CONFIGURE_ARGS = \
-  --enable-static \
-  --enable-shared \
-  --disable-debug \
-  --with-logging=none \
-  --with-dht=on \
-  --with-encryption=on \
-  --with-ssl \
-  --with-zlib=system \
-  --with-libgeoip=system \
-  --disable-examples \
-  --disable-tests
+  --with-zlib \
+  --with-libgeoip
 
 %:
 	dh $@ --parallel
 
 override_dh_auto_configure-nopy:
-	dh_auto_configure --builddirectory build -- PTHREAD_LIBS="-lpthread" LDFLAGS="-Wl,--as-needed -lrt" \
+	dh_auto_configure --builddirectory build -- LDFLAGS="-Wl,--as-needed" \
 		$(CONFIGURE_ARGS)
 
 override_dh_auto_configure-%:
-	dh_auto_configure --builddirectory build-py$* -- PTHREAD_LIBS="-lpthread" LDFLAGS="-Wl,--as-needed -lrt" \
-		PYTHON=python$* PYTHON_INSTALL_PARAMS="--root=$(CURDIR)/debian/tmp --install-layout=deb" \
-		--enable-python-binding --with-boost-python=boost_python-mt-py$(subst .,,$*) \
+	dh_auto_configure --builddirectory build-py$* -- LDFLAGS="-Wl,--as-needed" \
+		PYTHON=python$* --enable-python-binding --with-boost-python=boost_python-mt-py$(subst .,,$*) \
 		$(CONFIGURE_ARGS)
 	mv build-py$*/bindings/python build/bindings/python$*
 	cp -r bindings/python/src build/bindings/python$*

## libtorrent-rasterbar 0.15.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -226,7 +226,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.15.5")
+set (VERSION "0.15.7")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}

=== debian/changelog ===
libtorrent-rasterbar (0.15.7-1) unstable; urgency=low

  * New upstream version.
    - fix-webseeds-r5915.patch: new patch, fix a web seeds bug caused
      by a wrong merge commit.
  * debian/control:
    - use my @debian.org address.
    - drop DMUA field.

 -- Cristian Greco <cristian@debian.org>  Fri, 19 Aug 2011 18:47:49 +0200

libtorrent-rasterbar (0.15.6-2) unstable; urgency=low

  * debian/control: switch to dh_python2 for the python bindings.
  * debian/rules: no need to pass -a to dh_strip and dh_makeshlibs.
  * debian/patches:
    - fix-html-docs.patch: renamed, added dep3 tags.
    - fix-python-dbg-build.patch: new patch, fix wrong configure check
      when building with pythonX-dbg.
  * debian/{control,rules}: introducing a new python-libtorrent-dbg
    package (Closes: #628041).

 -- Cristian Greco <cristian@regolo.cc>  Mon, 20 Jun 2011 01:30:51 +0200

libtorrent-rasterbar (0.15.6-1) unstable; urgency=low

  * New upstream version.
    - upload to unstable.
  * Getting rid of the unneeded *.la file in -dev package
    (Closes: #622461).
  * debian/control: bump Standards-Version to 3.9.2.
  * debian/README.Debian: fix a spelling error in an old entry
    to make lintian happy.
  * debian/rules: simplified a bit.
  * debian/{control,rules}: drop "XS-Python-Version: all" and use
    different pyversions options instead.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 10 May 2011 20:54:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Cristian Greco <cristian@regolo.cc>
+Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends: debhelper (>= 7.4.10),
                libboost-dev,
                libboost-system-dev,
@@ -12,14 +12,14 @@
                zlib1g-dev,
                libgeoip-dev,
                pkg-config,
-               python-all-dev (>= 2.3.5-11),
+               python-all-dev (>= 2.6.6-3~),
+               python-all-dbg,
                python-docutils
-XS-Python-Version: all
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/libtorrent-rasterbar.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libtorrent-rasterbar.git
 Homepage: http://www.rasterbar.com/products/libtorrent/index.html
-DM-Upload-Allowed: yes
+X-Python-Version: >= 2.4
 
 Package: libtorrent-rasterbar6
 Architecture: any
@@ -101,7 +101,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
+Breaks: ${python:Breaks}
 Description: Python bindings for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -113,3 +113,23 @@
   * to be very easy to use
  .
  This package contains Python bindings for the libtorrent-rasterbar library.
+
+Package: python-libtorrent-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-libtorrent (= ${binary:Version}), python-dbg
+Provides: ${python:Provides}
+Breaks: ${python:Breaks}
+Description: Python bindings for libtorrent-rasterbar (debug symbols)
+ Bittorrent library by Rasterbar Software (Arvid Norberg).
+ libtorrent-rasterbar is a C++ library that aims to be a good alternative to
+ all the other bittorrent implementations around.
+ .
+ The main goals of libtorrent-rasterbar are:
+  * to be cpu efficient
+  * to be memory efficient
+  * to be very easy to use
+ .
+ This package contains Python bindings for the libtorrent-rasterbar library
+ (debug symbols).

=== debian/rules ===
#!/usr/bin/make -f

PYVERSIONS=$(shell pyversions -vr)
ALLPY=$(PYVERSIONS) $(PYVERSIONS:%=%-dbg)

LDFLAGS = -Wl,--as-needed
CONFIGURE_ARGS = --with-libgeoip

%:
	dh $@ --parallel --with python2

override_dh_auto_configure-nopy:
	dh_auto_configure --builddirectory build -- $(CONFIGURE_ARGS)

override_dh_auto_configure-%:
	dh_auto_configure --builddirectory build-py$* -- \
		PYTHON=/usr/bin/python$* PYTHON_INSTALL_PARAMS="--root=$(CURDIR)/debian/tmp --install-layout=deb" \
		--enable-python-binding --with-boost-python=boost_python-mt-py$(subst .,,$(subst -dbg,,$*)) \
		$(CONFIGURE_ARGS)
	mv build-py$*/bindings/python build/bindings/python$*
	cp -r bindings/python/src build/bindings/python$*

override_dh_auto_configure: override_dh_auto_configure-nopy $(ALLPY:%=override_dh_auto_configure-%)


override_dh_auto_build-nopy:
	dh_auto_build --builddirectory build
	$(MAKE) -C docs/ -f makefile

override_dh_auto_build-%:
	dh_auto_build --builddirectory build/bindings/python$*

override_dh_auto_build: override_dh_auto_build-nopy $(ALLPY:%=override_dh_auto_build-%)


override_dh_auto_install-nopy:
	dh_auto_install --builddirectory build

override_dh_auto_install-%:
	dh_auto_install --builddirectory build/bindings/python$*

override_dh_auto_install: override_dh_auto_install-nopy $(ALLPY:%=override_dh_auto_install-%)


override_dh_auto_clean:
	rm -rf build build-py*
	dh_auto_clean

override_dh_compress:
	dh_compress -Xcpp

override_dh_strip:
	dh_strip --dbg-package=libtorrent-rasterbar-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V

## libtorrent-rasterbar 0.15.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -226,7 +226,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.15.7")
+set (VERSION "0.15.8")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}

=== debian/changelog ===
libtorrent-rasterbar (0.15.8-1) unstable; urgency=low

  * New upstream version.
    - fix-webseeds-r5915.patch: drop patch, fixed upstream.
    - refreshed other patches.

 -- Cristian Greco <cristian@debian.org>  Fri, 30 Sep 2011 13:21:21 +0200

## libtorrent-rasterbar 0.15.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -226,7 +226,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.15.8")
+set (VERSION "0.15.9")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}

=== debian/changelog ===
libtorrent-rasterbar (0.15.9-1) unstable; urgency=low

  * New upstream version.
  * debian/{control,rules}: compress binary packages with xz and add
    Pre-Depends on dpkg (>= 1.15.6~).
  * debian/rules: enable default hardening options from dpkg-buildflags.

 -- Cristian Greco <cristian@debian.org>  Wed, 21 Dec 2011 13:08:22 +0100

## libtorrent-rasterbar 0.15.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -226,7 +226,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.15.9")
+set (VERSION "0.15.10")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}

=== debian/changelog ===
libtorrent-rasterbar (0.15.10-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@debian.org>  Tue, 06 Mar 2012 21:27:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends: debhelper (>= 7.4.10),
+               dpkg-dev (>= 1.16.1~),
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
@@ -23,6 +24,7 @@
 
 Package: libtorrent-rasterbar6
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libtorrent-rasterbar-dbg
 Description: C++ bittorrent library by Rasterbar Software
@@ -40,6 +42,7 @@
 Package: libtorrent-rasterbar-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
          libtorrent-rasterbar6 (= ${binary:Version}),
          libboost-dev,
@@ -67,6 +70,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
 Description: Debug symbols for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
@@ -83,6 +87,7 @@
 Package: libtorrent-rasterbar-doc
 Section: doc
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}
 Description: Documentation for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
@@ -99,6 +104,7 @@
 Package: python-libtorrent
 Section: python
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
@@ -118,6 +124,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-libtorrent (= ${binary:Version}), python-dbg
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,13 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed
 
 PYVERSIONS=$(shell pyversions -vr)
 ALLPY=$(PYVERSIONS) $(PYVERSIONS:%=%-dbg)
 
-LDFLAGS = -Wl,--as-needed
 CONFIGURE_ARGS = --with-libgeoip
 
 %:
@@ -54,3 +58,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
+
+override_dh_builddeb:
+	dh_builddeb -- -Z xz

## libtorrent-rasterbar 0.16.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,17 @@
 project(libtorrent)
 
 set(sources
+	web_connection_base
 	alert
 	allocator
+	asio
+	asio_ssl
 	assert
+	bandwidth_limit
+	bandwidth_manager
+	bandwidth_queue_entry
+	bloom_filter
+	chained_buffer
 	connection_queue
 	create_torrent
 	disk_buffer_holder
@@ -18,6 +26,7 @@
 	http_connection
 	http_stream
 	http_parser
+	i2p_stream
 	identify_client
 	ip_filter
 	peer_connection
@@ -26,24 +35,39 @@
 	http_seed_connection
 	instantiate_connection
 	natpmp
+	packet_buffer
 	piece_picker
 	policy
+	puff
+	random
+	rsa
+	rss
 	session
 	session_impl
+	settings
+	socket_io
+	socket_type  
 	socks5_stream
 	stat
 	storage
+	thread
+	time
+	timestamp_history
 	torrent
 	torrent_handle
 	torrent_info
 	tracker_manager
 	http_tracker_connection
+	utf8
 	udp_tracker_connection
 	udp_socket
 	upnp
+	utp_socket_manager
+	utp_stream
 	logger
 	file_pool
 	lsd
+	disk_buffer_pool
 	disk_io_thread
 	enum_net
 	broadcast_socket
@@ -61,7 +85,6 @@
 
 # -- kademlia --
 set(kademlia_sources
-	closest_nodes
 	dht_tracker
 	node
 	refresh
@@ -72,22 +95,7 @@
 	traversal_algorithm
 )
 
-set(zlib_sources
-	adler32
-	compress
-	crc32
-	deflate
-	gzio
-	infback
-	inffast
-	inflate
-	inftrees
-	trees
-	uncompr
-	zutil
-)
-
-set(includes include zlib)
+set(includes include)
 
 option(shared "build libtorrent as a shared library" ON)
 option(tcmalloc "link against google performance tools tcmalloc" OFF)
@@ -102,7 +110,7 @@
 option(logging "build with logging" OFF)
 option(verbose-logging "build with verbose logging" OFF)
 option(build_tests "build tests" OFF)
-option(build_examples "build examples" OFF)
+option(build_examples "build examples" ON)
 
 set(CMAKE_CONFIGURATION_TYPES Debug Release RelWithDebInfo)
 
@@ -129,9 +137,6 @@
 
 foreach(s ${sources})
 	list(APPEND sources2 src/${s})
-endforeach(s)
-foreach(s ${zlib_sources})
-	list(APPEND zlib_sources2 zlib/${s})
 endforeach(s)
 
 if (dht)
@@ -142,35 +147,41 @@
 	add_definitions(-DTORRENT_DISABLE_DHT)
 endif (dht)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
+if(NOT MSVC)
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
+	set(CMAKE_CXX_FLAGS "${CMAKE_C_FLAGS} -fvisibility-inlines-hidden")
+endif()
 
 if (shared)
-	add_library(torrent-rasterbar SHARED ${sources2} ${zlib_sources2})
+	add_library(torrent-rasterbar SHARED ${sources2})
 else (shared)
-	add_library(torrent-rasterbar STATIC ${sources2} ${zlib_sources2})
+	add_library(torrent-rasterbar STATIC ${sources2})
 endif (shared)
 
-FIND_PACKAGE( Boost 1.34 COMPONENTS filesystem thread)
 if (NOT Boost_VERSION LESS 103500)
-	FIND_PACKAGE( Boost 1.35 COMPONENTS filesystem thread system)
+	if(NOT MSVC)
+		FIND_PACKAGE( Boost 1.35 COMPONENTS system)
+	else(NOT MSVC)
+		FIND_PACKAGE( Boost 1.35 COMPONENTS system thread date_time)
+	endif(NOT MSVC)
 endif (NOT Boost_VERSION LESS 103500)
 include_directories(${Boost_INCLUDE_DIR})
 target_link_libraries(torrent-rasterbar ${Boost_LIBRARIES})
 
 # this works around a bug in asio in boost-1.39
-add_definitions(-DBOOST_ASIO_HASH_MAP_BUCKETS=1021)
+add_definitions(-DBOOST_ASIO_HASH_MAP_BUCKETS=1021 -DBOOST_ASIO_DYN_LINK -D__USE_W32_SOCKETS -DWIN32_LEAN_AND_MEAN -D_WIN32_WINNT=0x0500)
+
+add_definitions(-DBOOST_DATE_TIME_DYN_LINK -DBOOST_THREAD_DYN_LINK -DBOOST_SYSTEM_DYN_LINK)
 
 if (WIN32)
 	target_link_libraries(torrent-rasterbar wsock32 ws2_32)
 endif (WIN32)
 
 if (encryption)
+	FIND_PACKAGE(OpenSSL REQUIRED)
 	add_definitions(-DTORRENT_USE_OPENSSL)
-	if (WIN32)
-		target_link_libraries(torrent-rasterbar ssleay32 libeay32 advapi32 user32 shell32 gdi32)
-	else (WIN32)
-		target_link_libraries(torrent-rasterbar crypto ssl)
-	endif (WIN32)
+	include_directories(${OPENSSL_INCLUDE_DIR})
+	target_link_libraries(torrent-rasterbar ${OPENSSL_LIBRARIES})
 else (encryption)
 	add_definitions(-DTORRENT_DISABLE_ENCRYPTION)
 	list(APPEND sources sha1)
@@ -197,7 +208,11 @@
 endif (NOT deprecated-functions)
 
 if (exceptions)
-	add_definitions(-fexceptions)
+	if (MSVC)
+		add_definitions(/EHsc)
+	else (MSVC)
+		add_definitions(-fexceptions)
+	endif (MSVC)
 else (exceptions)
 	add_definitions(-fno-exceptions)
 endif (exceptions)
@@ -207,6 +222,8 @@
 	add_definitions(-D_SCL_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE)
 # these compiler settings just makes the compiler standard conforming
 	add_definitions(/Zc:wchar_t /Zc:forScope)
+# for multi-core compilation
+	add_definitions(/MP)
 
 #	<toolset>msvc,<variant>release:<linkflags>/OPT:ICF=5
 #	<toolset>msvc,<variant>release:<linkflags>/OPT:REF
@@ -214,19 +231,19 @@
 
 add_definitions(-D_FILE_OFFSET_BITS=64)
 add_definitions(-DBOOST_DISABLE_EXCEPTION)
+add_definitions(-DBOOST_ASIO_ENABLE_CANCELIO)
 
 if (tcmalloc)
 	target_link_libraries(torrent-rasterbar tcmalloc)
 endif (tcmalloc)
 
-target_link_libraries(torrent-rasterbar z)
 include_directories(${includes})
 
 set_target_properties(torrent-rasterbar PROPERTIES
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.15.10")
+set (VERSION "0.16.3")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}
@@ -236,9 +253,11 @@
 	set (COMPILETIME_OPTIONS "${COMPILETIME_OPTIONS} -D${s}")
 endforeach (s)
 
-configure_file(libtorrent-rasterbar-cmake.pc.in libtorrent-rasterbar.pc)
-
-string (COMPARE EQUAL ${CMAKE_SIZEOF_VOID_P} "8" IS64BITS)
+if (MSVC)
+	configure_file(libtorrent-rasterbar-cmake.pc.in libtorrent-rasterbar.pc)
+endif (MSVC)
+
+string (COMPARE EQUAL "${CMAKE_SIZEOF_VOID_P}" "8" IS64BITS)
 
 if (IS64BITS AND RESPECTLIB64)
 	set (LIBDIR "lib64")
@@ -261,8 +280,6 @@
 		target_link_libraries(${s} torrent-rasterbar)
 	endforeach(s)
 
-	FIND_PACKAGE( Boost 1.34 COMPONENTS program_options regex)
-	target_link_libraries(client_test ${Boost_LIBRARIES})
 	include_directories(${Boost_INCLUDE_DIR})
 endif(build_examples)
 # === build tests ===
@@ -273,6 +290,7 @@
 		test_buffer
 		test_storage
 		test_torrent
+		test_dht
 		test_transfer
 		test_piece_picker
 		test_fast_extension

=== debian/changelog ===
libtorrent-rasterbar (0.16.3-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 26 Sep 2012 11:08:05 -0400

libtorrent-rasterbar (0.16.2-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 10 Aug 2012 16:21:40 -0400

libtorrent-rasterbar (0.15.10-1build1) quantal; urgency=low

  * No change rebuild against boost1.49

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 11 Jun 2012 03:33:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends: debhelper (>= 7.4.10),
                dpkg-dev (>= 1.16.1~),
                libboost-dev,

## libtorrent-rasterbar 0.16.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	file_storage
 	lazy_bdecode
 	escape_string
+	string_util
 	file
 	gzip
 	http_connection
@@ -153,6 +154,7 @@
 endif()
 
 if (shared)
+	add_definitions(-DTORRENT_BUILDING_SHARED)
 	add_library(torrent-rasterbar SHARED ${sources2})
 else (shared)
 	add_library(torrent-rasterbar STATIC ${sources2})
@@ -171,7 +173,7 @@
 # this works around a bug in asio in boost-1.39
 add_definitions(-DBOOST_ASIO_HASH_MAP_BUCKETS=1021 -DBOOST_ASIO_DYN_LINK -D__USE_W32_SOCKETS -DWIN32_LEAN_AND_MEAN -D_WIN32_WINNT=0x0500)
 
-add_definitions(-DBOOST_DATE_TIME_DYN_LINK -DBOOST_THREAD_DYN_LINK -DBOOST_SYSTEM_DYN_LINK)
+add_definitions(-DBOOST_DATE_TIME_DYN_LINK -DBOOST_THREAD_DYN_LINK -DBOOST_SYSTEM_DYN_LINK -DBOOST_CHRONO_DYN_LINK)
 
 if (WIN32)
 	target_link_libraries(torrent-rasterbar wsock32 ws2_32)
@@ -243,7 +245,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.16.3")
+set (VERSION "0.16.7")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}

=== debian/changelog ===
libtorrent-rasterbar (0.16.7-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Update package name and dependencies for soname bump.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 08 Feb 2013 10:27:23 -0500

libtorrent-rasterbar (0.16.5-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/rules: Add python multiarch includes to CPPFLAGS.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 12 Dec 2012 21:16:11 -0500

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: http://www.rasterbar.com/products/libtorrent/index.html
 X-Python-Version: >= 2.4
 
-Package: libtorrent-rasterbar6
+Package: libtorrent-rasterbar7
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,7 +45,7 @@
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
-         libtorrent-rasterbar6 (= ${binary:Version}),
+         libtorrent-rasterbar7 (= ${binary:Version}),
          libboost-dev,
          libboost-system-dev,
          libboost-filesystem-dev,
@@ -72,7 +72,7 @@
 Priority: extra
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
+Depends: ${misc:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
 Description: Debug symbols for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -106,7 +106,7 @@
 Section: python
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
 Description: Python bindings for libtorrent-rasterbar

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	dh_auto_configure --builddirectory build -- $(CONFIGURE_ARGS)
 
 override_dh_auto_configure-%:
+	CPPFLAGS="$(CPPFLAGS) $(shell python$*-config --includes)" \
 	dh_auto_configure --builddirectory build-py$* -- \
 		PYTHON=/usr/bin/python$* PYTHON_INSTALL_PARAMS="--root=$(CURDIR)/debian/tmp --install-layout=deb" \
 		--enable-python-binding --with-boost-python=boost_python-mt-py$(subst .,,$(subst -dbg,,$*)) \
